1# Makefile.in generated by automake 1.16.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2020 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17# Copyright © 2009-2021 Inria.  All rights reserved.
18# Copyright © 2009-2012, 2014, 2016 Université Bordeaux
19# Copyright © 2009-2014 Cisco Systems, Inc.  All rights reserved.
20#
21# See COPYING in top-level directory.
22
23# This makefile is only reached when building in standalone mode
24
25
26
27
28VPATH = @srcdir@
29am__is_gnu_make = { \
30  if test -z '$(MAKELEVEL)'; then \
31    false; \
32  elif test -n '$(MAKE_HOST)'; then \
33    true; \
34  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
35    true; \
36  else \
37    false; \
38  fi; \
39}
40am__make_running_with_option = \
41  case $${target_option-} in \
42      ?) ;; \
43      *) echo "am__make_running_with_option: internal error: invalid" \
44              "target option '$${target_option-}' specified" >&2; \
45         exit 1;; \
46  esac; \
47  has_opt=no; \
48  sane_makeflags=$$MAKEFLAGS; \
49  if $(am__is_gnu_make); then \
50    sane_makeflags=$$MFLAGS; \
51  else \
52    case $$MAKEFLAGS in \
53      *\\[\ \	]*) \
54        bs=\\; \
55        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
56          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
57    esac; \
58  fi; \
59  skip_next=no; \
60  strip_trailopt () \
61  { \
62    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
63  }; \
64  for flg in $$sane_makeflags; do \
65    test $$skip_next = yes && { skip_next=no; continue; }; \
66    case $$flg in \
67      *=*|--*) continue;; \
68        -*I) strip_trailopt 'I'; skip_next=yes;; \
69      -*I?*) strip_trailopt 'I';; \
70        -*O) strip_trailopt 'O'; skip_next=yes;; \
71      -*O?*) strip_trailopt 'O';; \
72        -*l) strip_trailopt 'l'; skip_next=yes;; \
73      -*l?*) strip_trailopt 'l';; \
74      -[dEDm]) skip_next=yes;; \
75      -[JT]) skip_next=yes;; \
76    esac; \
77    case $$flg in \
78      *$$target_option*) has_opt=yes; break;; \
79    esac; \
80  done; \
81  test $$has_opt = yes
82am__make_dryrun = (target_option=n; $(am__make_running_with_option))
83am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
84pkgdatadir = $(datadir)/@PACKAGE@
85pkgincludedir = $(includedir)/@PACKAGE@
86pkglibdir = $(libdir)/@PACKAGE@
87pkglibexecdir = $(libexecdir)/@PACKAGE@
88am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
89install_sh_DATA = $(install_sh) -c -m 644
90install_sh_PROGRAM = $(install_sh) -c
91install_sh_SCRIPT = $(install_sh) -c
92INSTALL_HEADER = $(INSTALL_DATA)
93transform = $(program_transform_name)
94NORMAL_INSTALL = :
95PRE_INSTALL = :
96POST_INSTALL = :
97NORMAL_UNINSTALL = :
98PRE_UNINSTALL = :
99POST_UNINSTALL = :
100build_triplet = @build@
101host_triplet = @host@
102target_triplet = @target@
103bin_PROGRAMS = hwloc-annotate$(EXEEXT) hwloc-bind$(EXEEXT) \
104	hwloc-calc$(EXEEXT) hwloc-diff$(EXEEXT) hwloc-distrib$(EXEEXT) \
105	hwloc-info$(EXEEXT) hwloc-patch$(EXEEXT) $(am__EXEEXT_1) \
106	$(am__EXEEXT_2)
107@HWLOC_HAVE_WINDOWS_FALSE@am__append_1 = hwloc-ps
108@HWLOC_HAVE_X86_CPUID_TRUE@am__append_2 = hwloc-gather-cpuid
109@HWLOC_HAVE_LINUX_TRUE@@HWLOC_HAVE_X86_TRUE@sbin_PROGRAMS = hwloc-dump-hwdata$(EXEEXT)
110@HWLOC_HAVE_LINUX_TRUE@@HWLOC_HAVE_X86_TRUE@am__append_3 = test-hwloc-dump-hwdata
111@HWLOC_HAVE_LINUX_TRUE@am__append_4 = hwloc-gather-topology
112@HWLOC_HAVE_PLUGINS_TRUE@am__append_5 = test-fake-plugin.sh
113@HWLOC_HAVE_LINUX_TRUE@am__append_6 = $(hgt_page)
114@HWLOC_HAVE_WINDOWS_FALSE@am__append_7 = $(hps_page)
115@HWLOC_HAVE_X86_CPUID_TRUE@am__append_8 = $(hgc_page)
116# WARNING: The SEDMAN line below isn't portable ($(subst ...) is GNU-make only).
117# Keep this rule Linux-only, or stop using $(subst ...). See issue #187.
118@HWLOC_HAVE_LINUX_TRUE@@HWLOC_HAVE_X86_TRUE@am__append_9 = $(hdh_page)
119subdir = utils/hwloc
120ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
121am__aclocal_m4_deps = $(top_srcdir)/config/hwloc.m4 \
122	$(top_srcdir)/config/hwloc_check_attributes.m4 \
123	$(top_srcdir)/config/hwloc_check_vendor.m4 \
124	$(top_srcdir)/config/hwloc_check_visibility.m4 \
125	$(top_srcdir)/config/hwloc_components.m4 \
126	$(top_srcdir)/config/hwloc_internal.m4 \
127	$(top_srcdir)/config/hwloc_pkg.m4 \
128	$(top_srcdir)/config/libtool.m4 \
129	$(top_srcdir)/config/ltoptions.m4 \
130	$(top_srcdir)/config/ltsugar.m4 \
131	$(top_srcdir)/config/ltversion.m4 \
132	$(top_srcdir)/config/lt~obsolete.m4 \
133	$(top_srcdir)/config/netloc.m4 $(top_srcdir)/configure.ac
134am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
135	$(ACLOCAL_M4)
136DIST_COMMON = $(srcdir)/Makefile.am $(noinst_HEADERS) \
137	$(am__DIST_COMMON)
138mkinstalldirs = $(install_sh) -d
139CONFIG_HEADER = $(top_builddir)/include/private/autogen/config.h \
140	$(top_builddir)/include/hwloc/autogen/config.h
141CONFIG_CLEAN_FILES = hwloc-compress-dir hwloc-gather-topology \
142	test-hwloc-annotate.sh test-hwloc-calc.sh \
143	test-hwloc-compress-dir.sh test-hwloc-diffpatch.sh \
144	test-hwloc-distrib.sh test-hwloc-info.sh test-fake-plugin.sh \
145	test-parsing-flags.sh
146CONFIG_CLEAN_VPATH_FILES =
147@HWLOC_HAVE_WINDOWS_FALSE@am__EXEEXT_1 = hwloc-ps$(EXEEXT)
148@HWLOC_HAVE_X86_CPUID_TRUE@am__EXEEXT_2 = hwloc-gather-cpuid$(EXEEXT)
149am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" \
150	"$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" \
151	"$(DESTDIR)$(man7dir)"
152PROGRAMS = $(bin_PROGRAMS) $(sbin_PROGRAMS)
153LTLIBRARIES = $(noinst_LTLIBRARIES)
154libutils_common_la_DEPENDENCIES = $(LDADD)
155am_libutils_common_la_OBJECTS = common-ps.lo
156libutils_common_la_OBJECTS = $(am_libutils_common_la_OBJECTS)
157AM_V_lt = $(am__v_lt_@AM_V@)
158am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
159am__v_lt_0 = --silent
160am__v_lt_1 =
161hwloc_annotate_SOURCES = hwloc-annotate.c
162hwloc_annotate_OBJECTS = hwloc-annotate.$(OBJEXT)
163hwloc_annotate_LDADD = $(LDADD)
164hwloc_annotate_DEPENDENCIES = $(HWLOC_top_builddir)/hwloc/libhwloc.la
165hwloc_bind_SOURCES = hwloc-bind.c
166hwloc_bind_OBJECTS = hwloc-bind.$(OBJEXT)
167hwloc_bind_LDADD = $(LDADD)
168hwloc_bind_DEPENDENCIES = $(HWLOC_top_builddir)/hwloc/libhwloc.la
169am_hwloc_calc_OBJECTS = hwloc-calc.$(OBJEXT)
170hwloc_calc_OBJECTS = $(am_hwloc_calc_OBJECTS)
171hwloc_calc_LDADD = $(LDADD)
172hwloc_calc_DEPENDENCIES = $(HWLOC_top_builddir)/hwloc/libhwloc.la
173hwloc_diff_SOURCES = hwloc-diff.c
174hwloc_diff_OBJECTS = hwloc-diff.$(OBJEXT)
175hwloc_diff_LDADD = $(LDADD)
176hwloc_diff_DEPENDENCIES = $(HWLOC_top_builddir)/hwloc/libhwloc.la
177hwloc_distrib_SOURCES = hwloc-distrib.c
178hwloc_distrib_OBJECTS = hwloc-distrib.$(OBJEXT)
179hwloc_distrib_LDADD = $(LDADD)
180hwloc_distrib_DEPENDENCIES = $(HWLOC_top_builddir)/hwloc/libhwloc.la
181am_hwloc_dump_hwdata_OBJECTS =  \
182	hwloc_dump_hwdata-hwloc-dump-hwdata.$(OBJEXT) \
183	hwloc_dump_hwdata-hwloc-dump-hwdata-knl.$(OBJEXT)
184hwloc_dump_hwdata_OBJECTS = $(am_hwloc_dump_hwdata_OBJECTS)
185hwloc_dump_hwdata_LDADD = $(LDADD)
186hwloc_dump_hwdata_DEPENDENCIES =  \
187	$(HWLOC_top_builddir)/hwloc/libhwloc.la
188hwloc_gather_cpuid_SOURCES = hwloc-gather-cpuid.c
189hwloc_gather_cpuid_OBJECTS = hwloc-gather-cpuid.$(OBJEXT)
190hwloc_gather_cpuid_LDADD = $(LDADD)
191hwloc_gather_cpuid_DEPENDENCIES =  \
192	$(HWLOC_top_builddir)/hwloc/libhwloc.la
193hwloc_info_SOURCES = hwloc-info.c
194hwloc_info_OBJECTS = hwloc-info.$(OBJEXT)
195hwloc_info_LDADD = $(LDADD)
196hwloc_info_DEPENDENCIES = $(HWLOC_top_builddir)/hwloc/libhwloc.la
197hwloc_patch_SOURCES = hwloc-patch.c
198hwloc_patch_OBJECTS = hwloc-patch.$(OBJEXT)
199hwloc_patch_LDADD = $(LDADD)
200hwloc_patch_DEPENDENCIES = $(HWLOC_top_builddir)/hwloc/libhwloc.la
201am_hwloc_ps_OBJECTS = hwloc-ps.$(OBJEXT)
202hwloc_ps_OBJECTS = $(am_hwloc_ps_OBJECTS)
203am__DEPENDENCIES_1 =
204hwloc_ps_DEPENDENCIES = $(am__DEPENDENCIES_1) $(LDADD) \
205	libutils_common.la
206am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
207am__vpath_adj = case $$p in \
208    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
209    *) f=$$p;; \
210  esac;
211am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
212am__install_max = 40
213am__nobase_strip_setup = \
214  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
215am__nobase_strip = \
216  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
217am__nobase_list = $(am__nobase_strip_setup); \
218  for p in $$list; do echo "$$p $$p"; done | \
219  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
220  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
221    if (++n[$$2] == $(am__install_max)) \
222      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
223    END { for (dir in files) print dir, files[dir] }'
224am__base_list = \
225  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
226  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
227am__uninstall_files_from_dir = { \
228  test -z "$$files" \
229    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
230    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
231         $(am__cd) "$$dir" && rm -f $$files; }; \
232  }
233SCRIPTS = $(bin_SCRIPTS)
234AM_V_P = $(am__v_P_@AM_V@)
235am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
236am__v_P_0 = false
237am__v_P_1 = :
238AM_V_GEN = $(am__v_GEN_@AM_V@)
239am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
240am__v_GEN_0 = @echo "  GEN     " $@;
241am__v_GEN_1 =
242AM_V_at = $(am__v_at_@AM_V@)
243am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
244am__v_at_0 = @
245am__v_at_1 =
246DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/include/private/autogen -I$(top_builddir)/include/hwloc/autogen
247depcomp = $(SHELL) $(top_srcdir)/./config/depcomp
248am__maybe_remake_depfiles = depfiles
249am__depfiles_remade = ./$(DEPDIR)/common-ps.Plo \
250	./$(DEPDIR)/hwloc-annotate.Po ./$(DEPDIR)/hwloc-bind.Po \
251	./$(DEPDIR)/hwloc-calc.Po ./$(DEPDIR)/hwloc-diff.Po \
252	./$(DEPDIR)/hwloc-distrib.Po ./$(DEPDIR)/hwloc-gather-cpuid.Po \
253	./$(DEPDIR)/hwloc-info.Po ./$(DEPDIR)/hwloc-patch.Po \
254	./$(DEPDIR)/hwloc-ps.Po \
255	./$(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Po \
256	./$(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Po
257am__mv = mv -f
258COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
259	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
260LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
261	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
262	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
263	$(AM_CFLAGS) $(CFLAGS)
264AM_V_CC = $(am__v_CC_@AM_V@)
265am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
266am__v_CC_0 = @echo "  CC      " $@;
267am__v_CC_1 =
268CCLD = $(CC)
269LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
270	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
271	$(AM_LDFLAGS) $(LDFLAGS) -o $@
272AM_V_CCLD = $(am__v_CCLD_@AM_V@)
273am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
274am__v_CCLD_0 = @echo "  CCLD    " $@;
275am__v_CCLD_1 =
276SOURCES = $(libutils_common_la_SOURCES) hwloc-annotate.c hwloc-bind.c \
277	$(hwloc_calc_SOURCES) hwloc-diff.c hwloc-distrib.c \
278	$(hwloc_dump_hwdata_SOURCES) hwloc-gather-cpuid.c hwloc-info.c \
279	hwloc-patch.c $(hwloc_ps_SOURCES)
280DIST_SOURCES = $(libutils_common_la_SOURCES) hwloc-annotate.c \
281	hwloc-bind.c $(hwloc_calc_SOURCES) hwloc-diff.c \
282	hwloc-distrib.c $(hwloc_dump_hwdata_SOURCES) \
283	hwloc-gather-cpuid.c hwloc-info.c hwloc-patch.c \
284	$(hwloc_ps_SOURCES)
285RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
286	ctags-recursive dvi-recursive html-recursive info-recursive \
287	install-data-recursive install-dvi-recursive \
288	install-exec-recursive install-html-recursive \
289	install-info-recursive install-pdf-recursive \
290	install-ps-recursive install-recursive installcheck-recursive \
291	installdirs-recursive pdf-recursive ps-recursive \
292	tags-recursive uninstall-recursive
293am__can_run_installinfo = \
294  case $$AM_UPDATE_INFO_DIR in \
295    n|no|NO) false;; \
296    *) (install-info --version) >/dev/null 2>&1;; \
297  esac
298man1dir = $(mandir)/man1
299man7dir = $(mandir)/man7
300NROFF = nroff
301MANS = $(nodist_man_MANS)
302HEADERS = $(noinst_HEADERS)
303RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
304  distclean-recursive maintainer-clean-recursive
305am__recursive_targets = \
306  $(RECURSIVE_TARGETS) \
307  $(RECURSIVE_CLEAN_TARGETS) \
308  $(am__extra_recursive_targets)
309AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
310	check recheck distdir distdir-am
311am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
312# Read a list of newline-separated strings from the standard input,
313# and print each of them once, without duplicates.  Input order is
314# *not* preserved.
315am__uniquify_input = $(AWK) '\
316  BEGIN { nonempty = 0; } \
317  { items[$$0] = 1; nonempty = 1; } \
318  END { if (nonempty) { for (i in items) print i; }; } \
319'
320# Make sure the list of sources is unique.  This is necessary because,
321# e.g., the same source file might be shared among _SOURCES variables
322# for different programs/libraries.
323am__define_uniq_tagged_files = \
324  list='$(am__tagged_files)'; \
325  unique=`for i in $$list; do \
326    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
327  done | $(am__uniquify_input)`
328ETAGS = etags
329CTAGS = ctags
330am__tty_colors_dummy = \
331  mgn= red= grn= lgn= blu= brg= std=; \
332  am__color_tests=no
333am__tty_colors = { \
334  $(am__tty_colors_dummy); \
335  if test "X$(AM_COLOR_TESTS)" = Xno; then \
336    am__color_tests=no; \
337  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
338    am__color_tests=yes; \
339  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
340    am__color_tests=yes; \
341  fi; \
342  if test $$am__color_tests = yes; then \
343    red=''; \
344    grn=''; \
345    lgn=''; \
346    blu=''; \
347    mgn=''; \
348    brg=''; \
349    std=''; \
350  fi; \
351}
352am__recheck_rx = ^[ 	]*:recheck:[ 	]*
353am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
354am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
355# A command that, given a newline-separated list of test names on the
356# standard input, print the name of the tests that are to be re-run
357# upon "make recheck".
358am__list_recheck_tests = $(AWK) '{ \
359  recheck = 1; \
360  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
361    { \
362      if (rc < 0) \
363        { \
364          if ((getline line2 < ($$0 ".log")) < 0) \
365	    recheck = 0; \
366          break; \
367        } \
368      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
369        { \
370          recheck = 0; \
371          break; \
372        } \
373      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
374        { \
375          break; \
376        } \
377    }; \
378  if (recheck) \
379    print $$0; \
380  close ($$0 ".trs"); \
381  close ($$0 ".log"); \
382}'
383# A command that, given a newline-separated list of test names on the
384# standard input, create the global log from their .trs and .log files.
385am__create_global_log = $(AWK) ' \
386function fatal(msg) \
387{ \
388  print "fatal: making $@: " msg | "cat >&2"; \
389  exit 1; \
390} \
391function rst_section(header) \
392{ \
393  print header; \
394  len = length(header); \
395  for (i = 1; i <= len; i = i + 1) \
396    printf "="; \
397  printf "\n\n"; \
398} \
399{ \
400  copy_in_global_log = 1; \
401  global_test_result = "RUN"; \
402  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
403    { \
404      if (rc < 0) \
405         fatal("failed to read from " $$0 ".trs"); \
406      if (line ~ /$(am__global_test_result_rx)/) \
407        { \
408          sub("$(am__global_test_result_rx)", "", line); \
409          sub("[ 	]*$$", "", line); \
410          global_test_result = line; \
411        } \
412      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
413        copy_in_global_log = 0; \
414    }; \
415  if (copy_in_global_log) \
416    { \
417      rst_section(global_test_result ": " $$0); \
418      while ((rc = (getline line < ($$0 ".log"))) != 0) \
419      { \
420        if (rc < 0) \
421          fatal("failed to read from " $$0 ".log"); \
422        print line; \
423      }; \
424      printf "\n"; \
425    }; \
426  close ($$0 ".trs"); \
427  close ($$0 ".log"); \
428}'
429# Restructured Text title.
430am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
431# Solaris 10 'make', and several other traditional 'make' implementations,
432# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
433# by disabling -e (using the XSI extension "set +e") if it's set.
434am__sh_e_setup = case $$- in *e*) set +e;; esac
435# Default flags passed to test drivers.
436am__common_driver_flags = \
437  --color-tests "$$am__color_tests" \
438  --enable-hard-errors "$$am__enable_hard_errors" \
439  --expect-failure "$$am__expect_failure"
440# To be inserted before the command running the test.  Creates the
441# directory for the log if needed.  Stores in $dir the directory
442# containing $f, in $tst the test, in $log the log.  Executes the
443# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
444# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
445# will run the test scripts (or their associated LOG_COMPILER, if
446# thy have one).
447am__check_pre = \
448$(am__sh_e_setup);					\
449$(am__vpath_adj_setup) $(am__vpath_adj)			\
450$(am__tty_colors);					\
451srcdir=$(srcdir); export srcdir;			\
452case "$@" in						\
453  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
454    *) am__odir=.;; 					\
455esac;							\
456test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
457  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
458if test -f "./$$f"; then dir=./;			\
459elif test -f "$$f"; then dir=;				\
460else dir="$(srcdir)/"; fi;				\
461tst=$$dir$$f; log='$@'; 				\
462if test -n '$(DISABLE_HARD_ERRORS)'; then		\
463  am__enable_hard_errors=no; 				\
464else							\
465  am__enable_hard_errors=yes; 				\
466fi; 							\
467case " $(XFAIL_TESTS) " in				\
468  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
469    am__expect_failure=yes;;				\
470  *)							\
471    am__expect_failure=no;;				\
472esac; 							\
473$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
474# A shell command to get the names of the tests scripts with any registered
475# extension removed (i.e., equivalently, the names of the test logs, with
476# the '.log' extension removed).  The result is saved in the shell variable
477# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
478# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
479# since that might cause problem with VPATH rewrites for suffix-less tests.
480# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
481am__set_TESTS_bases = \
482  bases='$(TEST_LOGS)'; \
483  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
484  bases=`echo $$bases`
485AM_TESTSUITE_SUMMARY_HEADER = ' for $(PACKAGE_STRING)'
486RECHECK_LOGS = $(TEST_LOGS)
487TEST_SUITE_LOG = test-suite.log
488TEST_EXTENSIONS = @EXEEXT@ .test
489LOG_DRIVER = $(SHELL) $(top_srcdir)/./config/test-driver
490LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
491am__set_b = \
492  case '$@' in \
493    */*) \
494      case '$*' in \
495        */*) b='$*';; \
496          *) b=`echo '$@' | sed 's/\.log$$//'`; \
497       esac;; \
498    *) \
499      b='$*';; \
500  esac
501am__test_logs1 = $(TESTS:=.log)
502am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
503TEST_LOGS = $(am__test_logs2:.test.log=.log)
504TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/./config/test-driver
505TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
506	$(TEST_LOG_FLAGS)
507DIST_SUBDIRS = . test-hwloc-dump-hwdata
508am__DIST_COMMON = $(srcdir)/Makefile.in \
509	$(srcdir)/hwloc-compress-dir.in \
510	$(srcdir)/hwloc-gather-topology.in \
511	$(srcdir)/test-fake-plugin.sh.in \
512	$(srcdir)/test-hwloc-annotate.sh.in \
513	$(srcdir)/test-hwloc-calc.sh.in \
514	$(srcdir)/test-hwloc-compress-dir.sh.in \
515	$(srcdir)/test-hwloc-diffpatch.sh.in \
516	$(srcdir)/test-hwloc-distrib.sh.in \
517	$(srcdir)/test-hwloc-info.sh.in \
518	$(srcdir)/test-parsing-flags.sh.in \
519	$(top_srcdir)/./config/depcomp \
520	$(top_srcdir)/./config/test-driver
521DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
522am__relativize = \
523  dir0=`pwd`; \
524  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
525  sed_rest='s,^[^/]*/*,,'; \
526  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
527  sed_butlast='s,/*[^/]*$$,,'; \
528  while test -n "$$dir1"; do \
529    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
530    if test "$$first" != "."; then \
531      if test "$$first" = ".."; then \
532        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
533        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
534      else \
535        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
536        if test "$$first2" = "$$first"; then \
537          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
538        else \
539          dir2="../$$dir2"; \
540        fi; \
541        dir0="$$dir0"/"$$first"; \
542      fi; \
543    fi; \
544    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
545  done; \
546  reldir="$$dir2"
547ACLOCAL = @ACLOCAL@
548AMTAR = @AMTAR@
549AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
550AR = @AR@
551AS = @AS@
552AUTOCONF = @AUTOCONF@
553AUTOHEADER = @AUTOHEADER@
554AUTOMAKE = @AUTOMAKE@
555AWK = @AWK@
556BASH = @BASH@
557BUNZIPP = @BUNZIPP@
558CC = @CC@
559CCDEPMODE = @CCDEPMODE@
560CC_FOR_BUILD = @CC_FOR_BUILD@
561CFLAGS = @CFLAGS@
562CONFIGURE_DEPENDENCIES = @CONFIGURE_DEPENDENCIES@
563CPP = @CPP@
564CPPFLAGS = @CPPFLAGS@
565CUDA_VERSION = @CUDA_VERSION@
566CXX = @CXX@
567CXXCPP = @CXXCPP@
568CXXDEPMODE = @CXXDEPMODE@
569CXXFLAGS = @CXXFLAGS@
570CYGPATH_W = @CYGPATH_W@
571DEFS = @DEFS@
572DEPDIR = @DEPDIR@
573DIFF = @DIFF@
574DLLTOOL = @DLLTOOL@
575DOXYGEN = @DOXYGEN@
576DSYMUTIL = @DSYMUTIL@
577DUMPBIN = @DUMPBIN@
578ECHO_C = @ECHO_C@
579ECHO_N = @ECHO_N@
580ECHO_T = @ECHO_T@
581EGREP = @EGREP@
582EPSTOPDF = @EPSTOPDF@
583EXEEXT = @EXEEXT@
584FGREP = @FGREP@
585FIG2DEV = @FIG2DEV@
586GREP = @GREP@
587GS = @GS@
588HWLOC_CAIRO_CFLAGS = @HWLOC_CAIRO_CFLAGS@
589HWLOC_CAIRO_LIBS = @HWLOC_CAIRO_LIBS@
590HWLOC_CFLAGS = @HWLOC_CFLAGS@
591HWLOC_CPPFLAGS = @HWLOC_CPPFLAGS@
592HWLOC_CUDART_CFLAGS = @HWLOC_CUDART_CFLAGS@
593HWLOC_CUDART_CPPFLAGS = @HWLOC_CUDART_CPPFLAGS@
594HWLOC_CUDART_LDFLAGS = @HWLOC_CUDART_LDFLAGS@
595HWLOC_CUDART_LIBS = @HWLOC_CUDART_LIBS@
596HWLOC_CUDA_CFLAGS = @HWLOC_CUDA_CFLAGS@
597HWLOC_CUDA_CPPFLAGS = @HWLOC_CUDA_CPPFLAGS@
598HWLOC_CUDA_LDFLAGS = @HWLOC_CUDA_LDFLAGS@
599HWLOC_CUDA_LIBS = @HWLOC_CUDA_LIBS@
600HWLOC_DIFF_U = @HWLOC_DIFF_U@
601HWLOC_DIFF_W = @HWLOC_DIFF_W@
602HWLOC_DL_LIBS = @HWLOC_DL_LIBS@
603HWLOC_EMBEDDED_CFLAGS = @HWLOC_EMBEDDED_CFLAGS@
604HWLOC_EMBEDDED_CPPFLAGS = @HWLOC_EMBEDDED_CPPFLAGS@
605HWLOC_EMBEDDED_LDADD = @HWLOC_EMBEDDED_LDADD@
606HWLOC_EMBEDDED_LDFLAGS = @HWLOC_EMBEDDED_LDFLAGS@
607HWLOC_EMBEDDED_LIBS = @HWLOC_EMBEDDED_LIBS@
608HWLOC_GL_LIBS = @HWLOC_GL_LIBS@
609HWLOC_HAVE_LEVELZERO = @HWLOC_HAVE_LEVELZERO@
610HWLOC_HAVE_LIBXML2 = @HWLOC_HAVE_LIBXML2@
611HWLOC_HAVE_NVML = @HWLOC_HAVE_NVML@
612HWLOC_HAVE_OPENCL = @HWLOC_HAVE_OPENCL@
613HWLOC_HAVE_RSMI = @HWLOC_HAVE_RSMI@
614HWLOC_IBVERBS_LIBS = @HWLOC_IBVERBS_LIBS@
615HWLOC_LDFLAGS = @HWLOC_LDFLAGS@
616HWLOC_LEVELZERO_CFLAGS = @HWLOC_LEVELZERO_CFLAGS@
617HWLOC_LEVELZERO_LIBS = @HWLOC_LEVELZERO_LIBS@
618HWLOC_LIBS = @HWLOC_LIBS@
619HWLOC_LIBS_PRIVATE = @HWLOC_LIBS_PRIVATE@
620HWLOC_LIBXML2_CFLAGS = @HWLOC_LIBXML2_CFLAGS@
621HWLOC_LIBXML2_LIBS = @HWLOC_LIBXML2_LIBS@
622HWLOC_LTDL_LIBS = @HWLOC_LTDL_LIBS@
623HWLOC_MS_LIB = @HWLOC_MS_LIB@
624HWLOC_MS_LIB_ARCH = @HWLOC_MS_LIB_ARCH@
625HWLOC_NUMA_CFLAGS = @HWLOC_NUMA_CFLAGS@
626HWLOC_NUMA_LIBS = @HWLOC_NUMA_LIBS@
627HWLOC_NVML_CPPFLAGS = @HWLOC_NVML_CPPFLAGS@
628HWLOC_NVML_LDFLAGS = @HWLOC_NVML_LDFLAGS@
629HWLOC_NVML_LIBS = @HWLOC_NVML_LIBS@
630HWLOC_OPENCL_CPPFLAGS = @HWLOC_OPENCL_CPPFLAGS@
631HWLOC_OPENCL_LDFLAGS = @HWLOC_OPENCL_LDFLAGS@
632HWLOC_OPENCL_LIBS = @HWLOC_OPENCL_LIBS@
633HWLOC_PCIACCESS_CFLAGS = @HWLOC_PCIACCESS_CFLAGS@
634HWLOC_PCIACCESS_LIBS = @HWLOC_PCIACCESS_LIBS@
635HWLOC_PLUGINS_DIR = @HWLOC_PLUGINS_DIR@
636HWLOC_PLUGINS_PATH = @HWLOC_PLUGINS_PATH@
637HWLOC_PS_LIBS = @HWLOC_PS_LIBS@
638HWLOC_RELEASE_DATE = @HWLOC_RELEASE_DATE@
639HWLOC_REQUIRES = @HWLOC_REQUIRES@
640HWLOC_RSMI_LIBS = @HWLOC_RSMI_LIBS@
641HWLOC_TERMCAP_LIBS = @HWLOC_TERMCAP_LIBS@
642HWLOC_VERSION = @HWLOC_VERSION@
643HWLOC_W3_GENERATOR = @HWLOC_W3_GENERATOR@
644HWLOC_X11_CPPFLAGS = @HWLOC_X11_CPPFLAGS@
645HWLOC_X11_LIBS = @HWLOC_X11_LIBS@
646HWLOC_XML_LOCALIZED = @HWLOC_XML_LOCALIZED@
647HWLOC_runstatedir = @HWLOC_runstatedir@
648HWLOC_top_builddir = @HWLOC_top_builddir@
649HWLOC_top_srcdir = @HWLOC_top_srcdir@
650INSTALL = @INSTALL@
651INSTALL_DATA = @INSTALL_DATA@
652INSTALL_PROGRAM = @INSTALL_PROGRAM@
653INSTALL_SCRIPT = @INSTALL_SCRIPT@
654INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
655LD = @LD@
656LDFLAGS = @LDFLAGS@
657LIBOBJS = @LIBOBJS@
658LIBS = @LIBS@
659LIBTOOL = @LIBTOOL@
660LIPO = @LIPO@
661LN_S = @LN_S@
662LTLIBOBJS = @LTLIBOBJS@
663LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
664LYNX = @LYNX@
665MAKEINDEX = @MAKEINDEX@
666MAKEINFO = @MAKEINFO@
667MANIFEST_TOOL = @MANIFEST_TOOL@
668MKDIR_P = @MKDIR_P@
669MPI_CPPFLAGS = @MPI_CPPFLAGS@
670MPI_LDADD = @MPI_LDADD@
671NETLOC_CFLAGS = @NETLOC_CFLAGS@
672NETLOC_CPPFLAGS = @NETLOC_CPPFLAGS@
673NETLOC_EMBEDDED_CFLAGS = @NETLOC_EMBEDDED_CFLAGS@
674NETLOC_EMBEDDED_CPPFLAGS = @NETLOC_EMBEDDED_CPPFLAGS@
675NETLOC_EMBEDDED_LDADD = @NETLOC_EMBEDDED_LDADD@
676NETLOC_EMBEDDED_LIBS = @NETLOC_EMBEDDED_LIBS@
677NETLOC_LDFLAGS = @NETLOC_LDFLAGS@
678NETLOC_LIBS = @NETLOC_LIBS@
679NETLOC_LIBS_PRIVATE = @NETLOC_LIBS_PRIVATE@
680NM = @NM@
681NMEDIT = @NMEDIT@
682OBJDUMP = @OBJDUMP@
683OBJEXT = @OBJEXT@
684OTOOL = @OTOOL@
685OTOOL64 = @OTOOL64@
686PACKAGE = @PACKAGE@
687PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
688PACKAGE_NAME = @PACKAGE_NAME@
689PACKAGE_STRING = @PACKAGE_STRING@
690PACKAGE_TARNAME = @PACKAGE_TARNAME@
691PACKAGE_URL = @PACKAGE_URL@
692PACKAGE_VERSION = @PACKAGE_VERSION@
693PATH_SEPARATOR = @PATH_SEPARATOR@
694PDFLATEX = @PDFLATEX@
695PKG_CONFIG = @PKG_CONFIG@
696RANLIB = @RANLIB@
697SED = @SED@
698SET_MAKE = @SET_MAKE@
699SHELL = @SHELL@
700STRIP = @STRIP@
701VERSION = @VERSION@
702W3M = @W3M@
703XMKMF = @XMKMF@
704XMLLINT = @XMLLINT@
705X_CFLAGS = @X_CFLAGS@
706X_EXTRA_LIBS = @X_EXTRA_LIBS@
707X_LIBS = @X_LIBS@
708X_PRE_LIBS = @X_PRE_LIBS@
709abs_builddir = @abs_builddir@
710abs_srcdir = @abs_srcdir@
711abs_top_builddir = @abs_top_builddir@
712abs_top_srcdir = @abs_top_srcdir@
713ac_ct_AR = @ac_ct_AR@
714ac_ct_CC = @ac_ct_CC@
715ac_ct_CXX = @ac_ct_CXX@
716ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
717am__include = @am__include@
718am__leading_dot = @am__leading_dot@
719am__quote = @am__quote@
720am__tar = @am__tar@
721am__untar = @am__untar@
722bindir = @bindir@
723build = @build@
724build_alias = @build_alias@
725build_cpu = @build_cpu@
726build_os = @build_os@
727build_vendor = @build_vendor@
728builddir = @builddir@
729datadir = @datadir@
730datarootdir = @datarootdir@
731docdir = @docdir@
732dvidir = @dvidir@
733exec_prefix = @exec_prefix@
734host = @host@
735host_alias = @host_alias@
736host_cpu = @host_cpu@
737host_os = @host_os@
738host_vendor = @host_vendor@
739htmldir = @htmldir@
740includedir = @includedir@
741infodir = @infodir@
742install_sh = @install_sh@
743libdir = @libdir@
744libexecdir = @libexecdir@
745libhwloc_so_version = @libhwloc_so_version@
746libnetloc_so_version = @libnetloc_so_version@
747localedir = @localedir@
748localstatedir = @localstatedir@
749mandir = @mandir@
750mkdir_p = @mkdir_p@
751oldincludedir = @oldincludedir@
752pdfdir = @pdfdir@
753prefix = @prefix@
754program_transform_name = @program_transform_name@
755psdir = @psdir@
756runstatedir = @runstatedir@
757sbindir = @sbindir@
758sharedstatedir = @sharedstatedir@
759srcdir = @srcdir@
760sysconfdir = @sysconfdir@
761target = @target@
762target_alias = @target_alias@
763target_cpu = @target_cpu@
764target_os = @target_os@
765target_vendor = @target_vendor@
766top_build_prefix = @top_build_prefix@
767top_builddir = @top_builddir@
768top_srcdir = @top_srcdir@
769xz = @xz@
770AM_CFLAGS = $(HWLOC_CFLAGS)
771AM_CPPFLAGS = $(HWLOC_CPPFLAGS)
772AM_LDFLAGS = $(HWLOC_LDFLAGS)
773LDADD = $(HWLOC_top_builddir)/hwloc/libhwloc.la
774EXTRA_DIST = test-hwloc-annotate.input test-hwloc-annotate.output \
775	test-hwloc-annotate.output2 test-hwloc-calc.output \
776	test-hwloc-compress-dir.input.tar.gz \
777	test-hwloc-compress-dir.output.tar.gz \
778	test-hwloc-diffpatch.input1 test-hwloc-diffpatch.input2 \
779	test-hwloc-distrib.output test-hwloc-info.output \
780	$(man7_pages:.7=.7in) $(man1_pages:.1=.1in) \
781	$(hgt_page:.1=.1in) $(hps_page:.1=.1in) $(hgc_page:.1=.1in) \
782	$(hdh_page:.1=.1in)
783noinst_HEADERS = misc.h common-ps.h
784
785# convenience library used by both hwloc-ps and lstopo
786noinst_LTLIBRARIES = libutils_common.la
787libutils_common_la_SOURCES = common-ps.c
788libutils_common_la_LIBADD = $(LDADD)
789
790# start tests here before recursing into subdirs
791SUBDIRS = . $(am__append_3)
792hwloc_dump_hwdata_SOURCES = \
793	hwloc-dump-hwdata.c \
794	hwloc-dump-hwdata-knl.c
795
796hwloc_dump_hwdata_CPPFLAGS = $(AM_CPPFLAGS) -DRUNSTATEDIR="\"$(HWLOC_runstatedir)\""
797hwloc_calc_SOURCES = \
798        hwloc-calc.h \
799        hwloc-calc.c
800
801hwloc_ps_SOURCES = hwloc-ps.c
802# keep HWLOC_PS_LIBS first in case there's also -lnsl which cannot be before -lsocket
803hwloc_ps_LDADD = $(HWLOC_PS_LIBS) $(LDADD) libutils_common.la
804bin_SCRIPTS = hwloc-compress-dir $(am__append_4)
805TESTS = test-hwloc-annotate.sh test-hwloc-calc.sh \
806	test-hwloc-compress-dir.sh test-hwloc-diffpatch.sh \
807	test-hwloc-distrib.sh test-hwloc-info.sh test-parsing-flags.sh \
808	$(am__append_5)
809SEDMAN = $(SED) -e 's/%PACKAGE_NAME%/@PACKAGE_NAME@/g' \
810	  -e 's/%PACKAGE_VERSION%/@PACKAGE_VERSION@/g' \
811	  -e 's/%HWLOC_DATE%/@HWLOC_RELEASE_DATE@/g'
812
813
814# Only install man pages if we're building in standalone mode
815man7_pages = hwloc.7
816nodist_man_MANS = $(man7_pages) $(man1_pages) $(am__append_6) \
817	$(am__append_7) $(am__append_8) $(am__append_9)
818man1_pages = \
819        hwloc-annotate.1 \
820        hwloc-bind.1 \
821        hwloc-calc.1 \
822        hwloc-compress-dir.1 \
823        hwloc-diff.1 \
824        hwloc-distrib.1 \
825        hwloc-info.1 \
826        hwloc-patch.1
827
828
829# Only install the gather-topology page if we're on Linux, but we need
830# to include it in the tarball, regardless of what OS we're building
831# on.
832hgt_page = hwloc-gather-topology.1
833
834# Same for hwloc-ps on !Windows
835hps_page = hwloc-ps.1
836
837# Same for hwloc-gather-cpuid on x86
838hgc_page = hwloc-gather-cpuid.1
839
840# Same for dump-hwdata page on Linux/x86
841hdh_page = hwloc-dump-hwdata.1
842all: all-recursive
843
844.SUFFIXES:
845.SUFFIXES: .1 .1in .3 .3in .7 .7in .c .lo .log .o .obj .test .test$(EXEEXT) .trs
846$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
847	@for dep in $?; do \
848	  case '$(am__configure_deps)' in \
849	    *$$dep*) \
850	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
851	        && { if test -f $@; then exit 0; else break; fi; }; \
852	      exit 1;; \
853	  esac; \
854	done; \
855	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign utils/hwloc/Makefile'; \
856	$(am__cd) $(top_srcdir) && \
857	  $(AUTOMAKE) --foreign utils/hwloc/Makefile
858Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
859	@case '$?' in \
860	  *config.status*) \
861	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
862	  *) \
863	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
864	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
865	esac;
866
867$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
868	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
869
870$(top_srcdir)/configure:  $(am__configure_deps)
871	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
872$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
873	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
874$(am__aclocal_m4_deps):
875hwloc-compress-dir: $(top_builddir)/config.status $(srcdir)/hwloc-compress-dir.in
876	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
877hwloc-gather-topology: $(top_builddir)/config.status $(srcdir)/hwloc-gather-topology.in
878	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
879test-hwloc-annotate.sh: $(top_builddir)/config.status $(srcdir)/test-hwloc-annotate.sh.in
880	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
881test-hwloc-calc.sh: $(top_builddir)/config.status $(srcdir)/test-hwloc-calc.sh.in
882	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
883test-hwloc-compress-dir.sh: $(top_builddir)/config.status $(srcdir)/test-hwloc-compress-dir.sh.in
884	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
885test-hwloc-diffpatch.sh: $(top_builddir)/config.status $(srcdir)/test-hwloc-diffpatch.sh.in
886	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
887test-hwloc-distrib.sh: $(top_builddir)/config.status $(srcdir)/test-hwloc-distrib.sh.in
888	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
889test-hwloc-info.sh: $(top_builddir)/config.status $(srcdir)/test-hwloc-info.sh.in
890	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
891test-fake-plugin.sh: $(top_builddir)/config.status $(srcdir)/test-fake-plugin.sh.in
892	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
893test-parsing-flags.sh: $(top_builddir)/config.status $(srcdir)/test-parsing-flags.sh.in
894	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
895install-binPROGRAMS: $(bin_PROGRAMS)
896	@$(NORMAL_INSTALL)
897	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
898	if test -n "$$list"; then \
899	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
900	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
901	fi; \
902	for p in $$list; do echo "$$p $$p"; done | \
903	sed 's/$(EXEEXT)$$//' | \
904	while read p p1; do if test -f $$p \
905	 || test -f $$p1 \
906	  ; then echo "$$p"; echo "$$p"; else :; fi; \
907	done | \
908	sed -e 'p;s,.*/,,;n;h' \
909	    -e 's|.*|.|' \
910	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
911	sed 'N;N;N;s,\n, ,g' | \
912	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
913	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
914	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
915	    else { print "f", $$3 "/" $$4, $$1; } } \
916	  END { for (d in files) print "f", d, files[d] }' | \
917	while read type dir files; do \
918	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
919	    test -z "$$files" || { \
920	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
921	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
922	    } \
923	; done
924
925uninstall-binPROGRAMS:
926	@$(NORMAL_UNINSTALL)
927	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
928	files=`for p in $$list; do echo "$$p"; done | \
929	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
930	      -e 's/$$/$(EXEEXT)/' \
931	`; \
932	test -n "$$list" || exit 0; \
933	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
934	cd "$(DESTDIR)$(bindir)" && rm -f $$files
935
936clean-binPROGRAMS:
937	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
938	echo " rm -f" $$list; \
939	rm -f $$list || exit $$?; \
940	test -n "$(EXEEXT)" || exit 0; \
941	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
942	echo " rm -f" $$list; \
943	rm -f $$list
944install-sbinPROGRAMS: $(sbin_PROGRAMS)
945	@$(NORMAL_INSTALL)
946	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
947	if test -n "$$list"; then \
948	  echo " $(MKDIR_P) '$(DESTDIR)$(sbindir)'"; \
949	  $(MKDIR_P) "$(DESTDIR)$(sbindir)" || exit 1; \
950	fi; \
951	for p in $$list; do echo "$$p $$p"; done | \
952	sed 's/$(EXEEXT)$$//' | \
953	while read p p1; do if test -f $$p \
954	 || test -f $$p1 \
955	  ; then echo "$$p"; echo "$$p"; else :; fi; \
956	done | \
957	sed -e 'p;s,.*/,,;n;h' \
958	    -e 's|.*|.|' \
959	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
960	sed 'N;N;N;s,\n, ,g' | \
961	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
962	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
963	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
964	    else { print "f", $$3 "/" $$4, $$1; } } \
965	  END { for (d in files) print "f", d, files[d] }' | \
966	while read type dir files; do \
967	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
968	    test -z "$$files" || { \
969	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(sbindir)$$dir'"; \
970	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(sbindir)$$dir" || exit $$?; \
971	    } \
972	; done
973
974uninstall-sbinPROGRAMS:
975	@$(NORMAL_UNINSTALL)
976	@list='$(sbin_PROGRAMS)'; test -n "$(sbindir)" || list=; \
977	files=`for p in $$list; do echo "$$p"; done | \
978	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
979	      -e 's/$$/$(EXEEXT)/' \
980	`; \
981	test -n "$$list" || exit 0; \
982	echo " ( cd '$(DESTDIR)$(sbindir)' && rm -f" $$files ")"; \
983	cd "$(DESTDIR)$(sbindir)" && rm -f $$files
984
985clean-sbinPROGRAMS:
986	@list='$(sbin_PROGRAMS)'; test -n "$$list" || exit 0; \
987	echo " rm -f" $$list; \
988	rm -f $$list || exit $$?; \
989	test -n "$(EXEEXT)" || exit 0; \
990	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
991	echo " rm -f" $$list; \
992	rm -f $$list
993
994clean-noinstLTLIBRARIES:
995	-test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
996	@list='$(noinst_LTLIBRARIES)'; \
997	locs=`for p in $$list; do echo $$p; done | \
998	      sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
999	      sort -u`; \
1000	test -z "$$locs" || { \
1001	  echo rm -f $${locs}; \
1002	  rm -f $${locs}; \
1003	}
1004
1005libutils_common.la: $(libutils_common_la_OBJECTS) $(libutils_common_la_DEPENDENCIES) $(EXTRA_libutils_common_la_DEPENDENCIES)
1006	$(AM_V_CCLD)$(LINK)  $(libutils_common_la_OBJECTS) $(libutils_common_la_LIBADD) $(LIBS)
1007
1008hwloc-annotate$(EXEEXT): $(hwloc_annotate_OBJECTS) $(hwloc_annotate_DEPENDENCIES) $(EXTRA_hwloc_annotate_DEPENDENCIES)
1009	@rm -f hwloc-annotate$(EXEEXT)
1010	$(AM_V_CCLD)$(LINK) $(hwloc_annotate_OBJECTS) $(hwloc_annotate_LDADD) $(LIBS)
1011
1012hwloc-bind$(EXEEXT): $(hwloc_bind_OBJECTS) $(hwloc_bind_DEPENDENCIES) $(EXTRA_hwloc_bind_DEPENDENCIES)
1013	@rm -f hwloc-bind$(EXEEXT)
1014	$(AM_V_CCLD)$(LINK) $(hwloc_bind_OBJECTS) $(hwloc_bind_LDADD) $(LIBS)
1015
1016hwloc-calc$(EXEEXT): $(hwloc_calc_OBJECTS) $(hwloc_calc_DEPENDENCIES) $(EXTRA_hwloc_calc_DEPENDENCIES)
1017	@rm -f hwloc-calc$(EXEEXT)
1018	$(AM_V_CCLD)$(LINK) $(hwloc_calc_OBJECTS) $(hwloc_calc_LDADD) $(LIBS)
1019
1020hwloc-diff$(EXEEXT): $(hwloc_diff_OBJECTS) $(hwloc_diff_DEPENDENCIES) $(EXTRA_hwloc_diff_DEPENDENCIES)
1021	@rm -f hwloc-diff$(EXEEXT)
1022	$(AM_V_CCLD)$(LINK) $(hwloc_diff_OBJECTS) $(hwloc_diff_LDADD) $(LIBS)
1023
1024hwloc-distrib$(EXEEXT): $(hwloc_distrib_OBJECTS) $(hwloc_distrib_DEPENDENCIES) $(EXTRA_hwloc_distrib_DEPENDENCIES)
1025	@rm -f hwloc-distrib$(EXEEXT)
1026	$(AM_V_CCLD)$(LINK) $(hwloc_distrib_OBJECTS) $(hwloc_distrib_LDADD) $(LIBS)
1027
1028hwloc-dump-hwdata$(EXEEXT): $(hwloc_dump_hwdata_OBJECTS) $(hwloc_dump_hwdata_DEPENDENCIES) $(EXTRA_hwloc_dump_hwdata_DEPENDENCIES)
1029	@rm -f hwloc-dump-hwdata$(EXEEXT)
1030	$(AM_V_CCLD)$(LINK) $(hwloc_dump_hwdata_OBJECTS) $(hwloc_dump_hwdata_LDADD) $(LIBS)
1031
1032hwloc-gather-cpuid$(EXEEXT): $(hwloc_gather_cpuid_OBJECTS) $(hwloc_gather_cpuid_DEPENDENCIES) $(EXTRA_hwloc_gather_cpuid_DEPENDENCIES)
1033	@rm -f hwloc-gather-cpuid$(EXEEXT)
1034	$(AM_V_CCLD)$(LINK) $(hwloc_gather_cpuid_OBJECTS) $(hwloc_gather_cpuid_LDADD) $(LIBS)
1035
1036hwloc-info$(EXEEXT): $(hwloc_info_OBJECTS) $(hwloc_info_DEPENDENCIES) $(EXTRA_hwloc_info_DEPENDENCIES)
1037	@rm -f hwloc-info$(EXEEXT)
1038	$(AM_V_CCLD)$(LINK) $(hwloc_info_OBJECTS) $(hwloc_info_LDADD) $(LIBS)
1039
1040hwloc-patch$(EXEEXT): $(hwloc_patch_OBJECTS) $(hwloc_patch_DEPENDENCIES) $(EXTRA_hwloc_patch_DEPENDENCIES)
1041	@rm -f hwloc-patch$(EXEEXT)
1042	$(AM_V_CCLD)$(LINK) $(hwloc_patch_OBJECTS) $(hwloc_patch_LDADD) $(LIBS)
1043
1044hwloc-ps$(EXEEXT): $(hwloc_ps_OBJECTS) $(hwloc_ps_DEPENDENCIES) $(EXTRA_hwloc_ps_DEPENDENCIES)
1045	@rm -f hwloc-ps$(EXEEXT)
1046	$(AM_V_CCLD)$(LINK) $(hwloc_ps_OBJECTS) $(hwloc_ps_LDADD) $(LIBS)
1047install-binSCRIPTS: $(bin_SCRIPTS)
1048	@$(NORMAL_INSTALL)
1049	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || list=; \
1050	if test -n "$$list"; then \
1051	  echo " $(MKDIR_P) '$(DESTDIR)$(bindir)'"; \
1052	  $(MKDIR_P) "$(DESTDIR)$(bindir)" || exit 1; \
1053	fi; \
1054	for p in $$list; do \
1055	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1056	  if test -f "$$d$$p"; then echo "$$d$$p"; echo "$$p"; else :; fi; \
1057	done | \
1058	sed -e 'p;s,.*/,,;n' \
1059	    -e 'h;s|.*|.|' \
1060	    -e 'p;x;s,.*/,,;$(transform)' | sed 'N;N;N;s,\n, ,g' | \
1061	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1; } \
1062	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
1063	    if ($$2 == $$4) { files[d] = files[d] " " $$1; \
1064	      if (++n[d] == $(am__install_max)) { \
1065		print "f", d, files[d]; n[d] = 0; files[d] = "" } } \
1066	    else { print "f", d "/" $$4, $$1 } } \
1067	  END { for (d in files) print "f", d, files[d] }' | \
1068	while read type dir files; do \
1069	     if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
1070	     test -z "$$files" || { \
1071	       echo " $(INSTALL_SCRIPT) $$files '$(DESTDIR)$(bindir)$$dir'"; \
1072	       $(INSTALL_SCRIPT) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
1073	     } \
1074	; done
1075
1076uninstall-binSCRIPTS:
1077	@$(NORMAL_UNINSTALL)
1078	@list='$(bin_SCRIPTS)'; test -n "$(bindir)" || exit 0; \
1079	files=`for p in $$list; do echo "$$p"; done | \
1080	       sed -e 's,.*/,,;$(transform)'`; \
1081	dir='$(DESTDIR)$(bindir)'; $(am__uninstall_files_from_dir)
1082
1083mostlyclean-compile:
1084	-rm -f *.$(OBJEXT)
1085
1086distclean-compile:
1087	-rm -f *.tab.c
1088
1089@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/common-ps.Plo@am__quote@ # am--include-marker
1090@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-annotate.Po@am__quote@ # am--include-marker
1091@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-bind.Po@am__quote@ # am--include-marker
1092@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-calc.Po@am__quote@ # am--include-marker
1093@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-diff.Po@am__quote@ # am--include-marker
1094@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-distrib.Po@am__quote@ # am--include-marker
1095@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-gather-cpuid.Po@am__quote@ # am--include-marker
1096@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-info.Po@am__quote@ # am--include-marker
1097@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-patch.Po@am__quote@ # am--include-marker
1098@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc-ps.Po@am__quote@ # am--include-marker
1099@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Po@am__quote@ # am--include-marker
1100@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Po@am__quote@ # am--include-marker
1101
1102$(am__depfiles_remade):
1103	@$(MKDIR_P) $(@D)
1104	@echo '# dummy' >$@-t && $(am__mv) $@-t $@
1105
1106am--depfiles: $(am__depfiles_remade)
1107
1108.c.o:
1109@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1110@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1111@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
1112@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1113@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1114@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
1115
1116.c.obj:
1117@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1118@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1119@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Po
1120@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1121@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1122@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1123
1124.c.lo:
1125@am__fastdepCC_TRUE@	$(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1126@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1127@am__fastdepCC_TRUE@	$(am__mv) $$depbase.Tpo $$depbase.Plo
1128@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1129@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1130@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
1131
1132hwloc_dump_hwdata-hwloc-dump-hwdata.o: hwloc-dump-hwdata.c
1133@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hwloc_dump_hwdata_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hwloc_dump_hwdata-hwloc-dump-hwdata.o -MD -MP -MF $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Tpo -c -o hwloc_dump_hwdata-hwloc-dump-hwdata.o `test -f 'hwloc-dump-hwdata.c' || echo '$(srcdir)/'`hwloc-dump-hwdata.c
1134@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Tpo $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Po
1135@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='hwloc-dump-hwdata.c' object='hwloc_dump_hwdata-hwloc-dump-hwdata.o' libtool=no @AMDEPBACKSLASH@
1136@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1137@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hwloc_dump_hwdata_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hwloc_dump_hwdata-hwloc-dump-hwdata.o `test -f 'hwloc-dump-hwdata.c' || echo '$(srcdir)/'`hwloc-dump-hwdata.c
1138
1139hwloc_dump_hwdata-hwloc-dump-hwdata.obj: hwloc-dump-hwdata.c
1140@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hwloc_dump_hwdata_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hwloc_dump_hwdata-hwloc-dump-hwdata.obj -MD -MP -MF $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Tpo -c -o hwloc_dump_hwdata-hwloc-dump-hwdata.obj `if test -f 'hwloc-dump-hwdata.c'; then $(CYGPATH_W) 'hwloc-dump-hwdata.c'; else $(CYGPATH_W) '$(srcdir)/hwloc-dump-hwdata.c'; fi`
1141@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Tpo $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Po
1142@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='hwloc-dump-hwdata.c' object='hwloc_dump_hwdata-hwloc-dump-hwdata.obj' libtool=no @AMDEPBACKSLASH@
1143@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1144@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hwloc_dump_hwdata_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hwloc_dump_hwdata-hwloc-dump-hwdata.obj `if test -f 'hwloc-dump-hwdata.c'; then $(CYGPATH_W) 'hwloc-dump-hwdata.c'; else $(CYGPATH_W) '$(srcdir)/hwloc-dump-hwdata.c'; fi`
1145
1146hwloc_dump_hwdata-hwloc-dump-hwdata-knl.o: hwloc-dump-hwdata-knl.c
1147@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hwloc_dump_hwdata_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hwloc_dump_hwdata-hwloc-dump-hwdata-knl.o -MD -MP -MF $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Tpo -c -o hwloc_dump_hwdata-hwloc-dump-hwdata-knl.o `test -f 'hwloc-dump-hwdata-knl.c' || echo '$(srcdir)/'`hwloc-dump-hwdata-knl.c
1148@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Tpo $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Po
1149@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='hwloc-dump-hwdata-knl.c' object='hwloc_dump_hwdata-hwloc-dump-hwdata-knl.o' libtool=no @AMDEPBACKSLASH@
1150@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1151@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hwloc_dump_hwdata_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hwloc_dump_hwdata-hwloc-dump-hwdata-knl.o `test -f 'hwloc-dump-hwdata-knl.c' || echo '$(srcdir)/'`hwloc-dump-hwdata-knl.c
1152
1153hwloc_dump_hwdata-hwloc-dump-hwdata-knl.obj: hwloc-dump-hwdata-knl.c
1154@am__fastdepCC_TRUE@	$(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hwloc_dump_hwdata_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT hwloc_dump_hwdata-hwloc-dump-hwdata-knl.obj -MD -MP -MF $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Tpo -c -o hwloc_dump_hwdata-hwloc-dump-hwdata-knl.obj `if test -f 'hwloc-dump-hwdata-knl.c'; then $(CYGPATH_W) 'hwloc-dump-hwdata-knl.c'; else $(CYGPATH_W) '$(srcdir)/hwloc-dump-hwdata-knl.c'; fi`
1155@am__fastdepCC_TRUE@	$(AM_V_at)$(am__mv) $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Tpo $(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Po
1156@AMDEP_TRUE@@am__fastdepCC_FALSE@	$(AM_V_CC)source='hwloc-dump-hwdata-knl.c' object='hwloc_dump_hwdata-hwloc-dump-hwdata-knl.obj' libtool=no @AMDEPBACKSLASH@
1157@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1158@am__fastdepCC_FALSE@	$(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(hwloc_dump_hwdata_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o hwloc_dump_hwdata-hwloc-dump-hwdata-knl.obj `if test -f 'hwloc-dump-hwdata-knl.c'; then $(CYGPATH_W) 'hwloc-dump-hwdata-knl.c'; else $(CYGPATH_W) '$(srcdir)/hwloc-dump-hwdata-knl.c'; fi`
1159
1160mostlyclean-libtool:
1161	-rm -f *.lo
1162
1163clean-libtool:
1164	-rm -rf .libs _libs
1165install-man1: $(nodist_man_MANS)
1166	@$(NORMAL_INSTALL)
1167	@list1=''; \
1168	list2='$(nodist_man_MANS)'; \
1169	test -n "$(man1dir)" \
1170	  && test -n "`echo $$list1$$list2`" \
1171	  || exit 0; \
1172	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
1173	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
1174	{ for i in $$list1; do echo "$$i"; done;  \
1175	if test -n "$$list2"; then \
1176	  for i in $$list2; do echo "$$i"; done \
1177	    | sed -n '/\.1[a-z]*$$/p'; \
1178	fi; \
1179	} | while read p; do \
1180	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1181	  echo "$$d$$p"; echo "$$p"; \
1182	done | \
1183	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1184	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1185	sed 'N;N;s,\n, ,g' | { \
1186	list=; while read file base inst; do \
1187	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1188	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
1189	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
1190	  fi; \
1191	done; \
1192	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1193	while read files; do \
1194	  test -z "$$files" || { \
1195	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
1196	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
1197	done; }
1198
1199uninstall-man1:
1200	@$(NORMAL_UNINSTALL)
1201	@list=''; test -n "$(man1dir)" || exit 0; \
1202	files=`{ for i in $$list; do echo "$$i"; done; \
1203	l2='$(nodist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1204	  sed -n '/\.1[a-z]*$$/p'; \
1205	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
1206	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1207	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
1208install-man7: $(nodist_man_MANS)
1209	@$(NORMAL_INSTALL)
1210	@list1=''; \
1211	list2='$(nodist_man_MANS)'; \
1212	test -n "$(man7dir)" \
1213	  && test -n "`echo $$list1$$list2`" \
1214	  || exit 0; \
1215	echo " $(MKDIR_P) '$(DESTDIR)$(man7dir)'"; \
1216	$(MKDIR_P) "$(DESTDIR)$(man7dir)" || exit 1; \
1217	{ for i in $$list1; do echo "$$i"; done;  \
1218	if test -n "$$list2"; then \
1219	  for i in $$list2; do echo "$$i"; done \
1220	    | sed -n '/\.7[a-z]*$$/p'; \
1221	fi; \
1222	} | while read p; do \
1223	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
1224	  echo "$$d$$p"; echo "$$p"; \
1225	done | \
1226	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^7][0-9a-z]*$$,7,;x' \
1227	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
1228	sed 'N;N;s,\n, ,g' | { \
1229	list=; while read file base inst; do \
1230	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
1231	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man7dir)/$$inst'"; \
1232	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man7dir)/$$inst" || exit $$?; \
1233	  fi; \
1234	done; \
1235	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
1236	while read files; do \
1237	  test -z "$$files" || { \
1238	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man7dir)'"; \
1239	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man7dir)" || exit $$?; }; \
1240	done; }
1241
1242uninstall-man7:
1243	@$(NORMAL_UNINSTALL)
1244	@list=''; test -n "$(man7dir)" || exit 0; \
1245	files=`{ for i in $$list; do echo "$$i"; done; \
1246	l2='$(nodist_man_MANS)'; for i in $$l2; do echo "$$i"; done | \
1247	  sed -n '/\.7[a-z]*$$/p'; \
1248	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^7][0-9a-z]*$$,7,;x' \
1249	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
1250	dir='$(DESTDIR)$(man7dir)'; $(am__uninstall_files_from_dir)
1251
1252# This directory's subdirectories are mostly independent; you can cd
1253# into them and run 'make' without going through this Makefile.
1254# To change the values of 'make' variables: instead of editing Makefiles,
1255# (1) if the variable is set in 'config.status', edit 'config.status'
1256#     (which will cause the Makefiles to be regenerated when you run 'make');
1257# (2) otherwise, pass the desired values on the 'make' command line.
1258$(am__recursive_targets):
1259	@fail=; \
1260	if $(am__make_keepgoing); then \
1261	  failcom='fail=yes'; \
1262	else \
1263	  failcom='exit 1'; \
1264	fi; \
1265	dot_seen=no; \
1266	target=`echo $@ | sed s/-recursive//`; \
1267	case "$@" in \
1268	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
1269	  *) list='$(SUBDIRS)' ;; \
1270	esac; \
1271	for subdir in $$list; do \
1272	  echo "Making $$target in $$subdir"; \
1273	  if test "$$subdir" = "."; then \
1274	    dot_seen=yes; \
1275	    local_target="$$target-am"; \
1276	  else \
1277	    local_target="$$target"; \
1278	  fi; \
1279	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
1280	  || eval $$failcom; \
1281	done; \
1282	if test "$$dot_seen" = "no"; then \
1283	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
1284	fi; test -z "$$fail"
1285
1286ID: $(am__tagged_files)
1287	$(am__define_uniq_tagged_files); mkid -fID $$unique
1288tags: tags-recursive
1289TAGS: tags
1290
1291tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1292	set x; \
1293	here=`pwd`; \
1294	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
1295	  include_option=--etags-include; \
1296	  empty_fix=.; \
1297	else \
1298	  include_option=--include; \
1299	  empty_fix=; \
1300	fi; \
1301	list='$(SUBDIRS)'; for subdir in $$list; do \
1302	  if test "$$subdir" = .; then :; else \
1303	    test ! -f $$subdir/TAGS || \
1304	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
1305	  fi; \
1306	done; \
1307	$(am__define_uniq_tagged_files); \
1308	shift; \
1309	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1310	  test -n "$$unique" || unique=$$empty_fix; \
1311	  if test $$# -gt 0; then \
1312	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1313	      "$$@" $$unique; \
1314	  else \
1315	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1316	      $$unique; \
1317	  fi; \
1318	fi
1319ctags: ctags-recursive
1320
1321CTAGS: ctags
1322ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1323	$(am__define_uniq_tagged_files); \
1324	test -z "$(CTAGS_ARGS)$$unique" \
1325	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1326	     $$unique
1327
1328GTAGS:
1329	here=`$(am__cd) $(top_builddir) && pwd` \
1330	  && $(am__cd) $(top_srcdir) \
1331	  && gtags -i $(GTAGS_ARGS) "$$here"
1332cscopelist: cscopelist-recursive
1333
1334cscopelist-am: $(am__tagged_files)
1335	list='$(am__tagged_files)'; \
1336	case "$(srcdir)" in \
1337	  [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1338	  *) sdir=$(subdir)/$(srcdir) ;; \
1339	esac; \
1340	for i in $$list; do \
1341	  if test -f "$$i"; then \
1342	    echo "$(subdir)/$$i"; \
1343	  else \
1344	    echo "$$sdir/$$i"; \
1345	  fi; \
1346	done >> $(top_builddir)/cscope.files
1347
1348distclean-tags:
1349	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1350
1351# Recover from deleted '.trs' file; this should ensure that
1352# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
1353# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
1354# to avoid problems with "make -n".
1355.log.trs:
1356	rm -f $< $@
1357	$(MAKE) $(AM_MAKEFLAGS) $<
1358
1359# Leading 'am--fnord' is there to ensure the list of targets does not
1360# expand to empty, as could happen e.g. with make check TESTS=''.
1361am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
1362am--force-recheck:
1363	@:
1364
1365$(TEST_SUITE_LOG): $(TEST_LOGS)
1366	@$(am__set_TESTS_bases); \
1367	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
1368	redo_bases=`for i in $$bases; do \
1369	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
1370	            done`; \
1371	if test -n "$$redo_bases"; then \
1372	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
1373	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
1374	  if $(am__make_dryrun); then :; else \
1375	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
1376	  fi; \
1377	fi; \
1378	if test -n "$$am__remaking_logs"; then \
1379	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
1380	       "recursion detected" >&2; \
1381	elif test -n "$$redo_logs"; then \
1382	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
1383	fi; \
1384	if $(am__make_dryrun); then :; else \
1385	  st=0;  \
1386	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
1387	  for i in $$redo_bases; do \
1388	    test -f $$i.trs && test -r $$i.trs \
1389	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
1390	    test -f $$i.log && test -r $$i.log \
1391	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
1392	  done; \
1393	  test $$st -eq 0 || exit 1; \
1394	fi
1395	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
1396	ws='[ 	]'; \
1397	results=`for b in $$bases; do echo $$b.trs; done`; \
1398	test -n "$$results" || results=/dev/null; \
1399	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
1400	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
1401	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
1402	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
1403	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
1404	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
1405	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
1406	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
1407	  success=true; \
1408	else \
1409	  success=false; \
1410	fi; \
1411	br='==================='; br=$$br$$br$$br$$br; \
1412	result_count () \
1413	{ \
1414	    if test x"$$1" = x"--maybe-color"; then \
1415	      maybe_colorize=yes; \
1416	    elif test x"$$1" = x"--no-color"; then \
1417	      maybe_colorize=no; \
1418	    else \
1419	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
1420	    fi; \
1421	    shift; \
1422	    desc=$$1 count=$$2; \
1423	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
1424	      color_start=$$3 color_end=$$std; \
1425	    else \
1426	      color_start= color_end=; \
1427	    fi; \
1428	    echo "$${color_start}# $$desc $$count$${color_end}"; \
1429	}; \
1430	create_testsuite_report () \
1431	{ \
1432	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
1433	  result_count $$1 "PASS: " $$pass  "$$grn"; \
1434	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
1435	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
1436	  result_count $$1 "FAIL: " $$fail  "$$red"; \
1437	  result_count $$1 "XPASS:" $$xpass "$$red"; \
1438	  result_count $$1 "ERROR:" $$error "$$mgn"; \
1439	}; \
1440	{								\
1441	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
1442	    $(am__rst_title);						\
1443	  create_testsuite_report --no-color;				\
1444	  echo;								\
1445	  echo ".. contents:: :depth: 2";				\
1446	  echo;								\
1447	  for b in $$bases; do echo $$b; done				\
1448	    | $(am__create_global_log);					\
1449	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
1450	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
1451	if $$success; then						\
1452	  col="$$grn";							\
1453	 else								\
1454	  col="$$red";							\
1455	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
1456	fi;								\
1457	echo "$${col}$$br$${std}"; 					\
1458	echo "$${col}Testsuite summary"$(AM_TESTSUITE_SUMMARY_HEADER)"$${std}";	\
1459	echo "$${col}$$br$${std}"; 					\
1460	create_testsuite_report --maybe-color;				\
1461	echo "$$col$$br$$std";						\
1462	if $$success; then :; else					\
1463	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
1464	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
1465	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
1466	  fi;								\
1467	  echo "$$col$$br$$std";					\
1468	fi;								\
1469	$$success || exit 1
1470
1471check-TESTS:
1472	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
1473	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
1474	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1475	@set +e; $(am__set_TESTS_bases); \
1476	log_list=`for i in $$bases; do echo $$i.log; done`; \
1477	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
1478	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
1479	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
1480	exit $$?;
1481recheck: all
1482	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1483	@set +e; $(am__set_TESTS_bases); \
1484	bases=`for i in $$bases; do echo $$i; done \
1485	         | $(am__list_recheck_tests)` || exit 1; \
1486	log_list=`for i in $$bases; do echo $$i.log; done`; \
1487	log_list=`echo $$log_list`; \
1488	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
1489	        am__force_recheck=am--force-recheck \
1490	        TEST_LOGS="$$log_list"; \
1491	exit $$?
1492test-hwloc-annotate.sh.log: test-hwloc-annotate.sh
1493	@p='test-hwloc-annotate.sh'; \
1494	b='test-hwloc-annotate.sh'; \
1495	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1496	--log-file $$b.log --trs-file $$b.trs \
1497	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1498	"$$tst" $(AM_TESTS_FD_REDIRECT)
1499test-hwloc-calc.sh.log: test-hwloc-calc.sh
1500	@p='test-hwloc-calc.sh'; \
1501	b='test-hwloc-calc.sh'; \
1502	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1503	--log-file $$b.log --trs-file $$b.trs \
1504	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1505	"$$tst" $(AM_TESTS_FD_REDIRECT)
1506test-hwloc-compress-dir.sh.log: test-hwloc-compress-dir.sh
1507	@p='test-hwloc-compress-dir.sh'; \
1508	b='test-hwloc-compress-dir.sh'; \
1509	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1510	--log-file $$b.log --trs-file $$b.trs \
1511	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1512	"$$tst" $(AM_TESTS_FD_REDIRECT)
1513test-hwloc-diffpatch.sh.log: test-hwloc-diffpatch.sh
1514	@p='test-hwloc-diffpatch.sh'; \
1515	b='test-hwloc-diffpatch.sh'; \
1516	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1517	--log-file $$b.log --trs-file $$b.trs \
1518	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1519	"$$tst" $(AM_TESTS_FD_REDIRECT)
1520test-hwloc-distrib.sh.log: test-hwloc-distrib.sh
1521	@p='test-hwloc-distrib.sh'; \
1522	b='test-hwloc-distrib.sh'; \
1523	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1524	--log-file $$b.log --trs-file $$b.trs \
1525	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1526	"$$tst" $(AM_TESTS_FD_REDIRECT)
1527test-hwloc-info.sh.log: test-hwloc-info.sh
1528	@p='test-hwloc-info.sh'; \
1529	b='test-hwloc-info.sh'; \
1530	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1531	--log-file $$b.log --trs-file $$b.trs \
1532	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1533	"$$tst" $(AM_TESTS_FD_REDIRECT)
1534test-parsing-flags.sh.log: test-parsing-flags.sh
1535	@p='test-parsing-flags.sh'; \
1536	b='test-parsing-flags.sh'; \
1537	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1538	--log-file $$b.log --trs-file $$b.trs \
1539	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1540	"$$tst" $(AM_TESTS_FD_REDIRECT)
1541test-fake-plugin.sh.log: test-fake-plugin.sh
1542	@p='test-fake-plugin.sh'; \
1543	b='test-fake-plugin.sh'; \
1544	$(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
1545	--log-file $$b.log --trs-file $$b.trs \
1546	$(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
1547	"$$tst" $(AM_TESTS_FD_REDIRECT)
1548.test.log:
1549	@p='$<'; \
1550	$(am__set_b); \
1551	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1552	--log-file $$b.log --trs-file $$b.trs \
1553	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1554	"$$tst" $(AM_TESTS_FD_REDIRECT)
1555@am__EXEEXT_TRUE@.test$(EXEEXT).log:
1556@am__EXEEXT_TRUE@	@p='$<'; \
1557@am__EXEEXT_TRUE@	$(am__set_b); \
1558@am__EXEEXT_TRUE@	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
1559@am__EXEEXT_TRUE@	--log-file $$b.log --trs-file $$b.trs \
1560@am__EXEEXT_TRUE@	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
1561@am__EXEEXT_TRUE@	"$$tst" $(AM_TESTS_FD_REDIRECT)
1562
1563distdir: $(BUILT_SOURCES)
1564	$(MAKE) $(AM_MAKEFLAGS) distdir-am
1565
1566distdir-am: $(DISTFILES)
1567	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1568	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1569	list='$(DISTFILES)'; \
1570	  dist_files=`for file in $$list; do echo $$file; done | \
1571	  sed -e "s|^$$srcdirstrip/||;t" \
1572	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1573	case $$dist_files in \
1574	  */*) $(MKDIR_P) `echo "$$dist_files" | \
1575			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1576			   sort -u` ;; \
1577	esac; \
1578	for file in $$dist_files; do \
1579	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1580	  if test -d $$d/$$file; then \
1581	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1582	    if test -d "$(distdir)/$$file"; then \
1583	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1584	    fi; \
1585	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1586	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1587	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1588	    fi; \
1589	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1590	  else \
1591	    test -f "$(distdir)/$$file" \
1592	    || cp -p $$d/$$file "$(distdir)/$$file" \
1593	    || exit 1; \
1594	  fi; \
1595	done
1596	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
1597	  if test "$$subdir" = .; then :; else \
1598	    $(am__make_dryrun) \
1599	      || test -d "$(distdir)/$$subdir" \
1600	      || $(MKDIR_P) "$(distdir)/$$subdir" \
1601	      || exit 1; \
1602	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
1603	    $(am__relativize); \
1604	    new_distdir=$$reldir; \
1605	    dir1=$$subdir; dir2="$(top_distdir)"; \
1606	    $(am__relativize); \
1607	    new_top_distdir=$$reldir; \
1608	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
1609	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
1610	    ($(am__cd) $$subdir && \
1611	      $(MAKE) $(AM_MAKEFLAGS) \
1612	        top_distdir="$$new_top_distdir" \
1613	        distdir="$$new_distdir" \
1614		am__remove_distdir=: \
1615		am__skip_length_check=: \
1616		am__skip_mode_fix=: \
1617	        distdir) \
1618	      || exit 1; \
1619	  fi; \
1620	done
1621check-am: all-am
1622	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
1623check: check-recursive
1624all-am: Makefile $(PROGRAMS) $(LTLIBRARIES) $(SCRIPTS) $(MANS) \
1625		$(HEADERS)
1626installdirs: installdirs-recursive
1627installdirs-am:
1628	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(sbindir)" "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(man7dir)"; do \
1629	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1630	done
1631install: install-recursive
1632install-exec: install-exec-recursive
1633install-data: install-data-recursive
1634uninstall: uninstall-recursive
1635
1636install-am: all-am
1637	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1638
1639installcheck: installcheck-recursive
1640install-strip:
1641	if test -z '$(STRIP)'; then \
1642	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1643	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1644	      install; \
1645	else \
1646	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1647	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1648	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1649	fi
1650mostlyclean-generic:
1651	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
1652	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
1653	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
1654
1655clean-generic:
1656
1657distclean-generic:
1658	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1659	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1660
1661maintainer-clean-generic:
1662	@echo "This command is intended for maintainers to use"
1663	@echo "it deletes files that may require special tools to rebuild."
1664clean: clean-recursive
1665
1666clean-am: clean-binPROGRAMS clean-generic clean-libtool \
1667	clean-noinstLTLIBRARIES clean-sbinPROGRAMS mostlyclean-am
1668
1669distclean: distclean-recursive
1670		-rm -f ./$(DEPDIR)/common-ps.Plo
1671	-rm -f ./$(DEPDIR)/hwloc-annotate.Po
1672	-rm -f ./$(DEPDIR)/hwloc-bind.Po
1673	-rm -f ./$(DEPDIR)/hwloc-calc.Po
1674	-rm -f ./$(DEPDIR)/hwloc-diff.Po
1675	-rm -f ./$(DEPDIR)/hwloc-distrib.Po
1676	-rm -f ./$(DEPDIR)/hwloc-gather-cpuid.Po
1677	-rm -f ./$(DEPDIR)/hwloc-info.Po
1678	-rm -f ./$(DEPDIR)/hwloc-patch.Po
1679	-rm -f ./$(DEPDIR)/hwloc-ps.Po
1680	-rm -f ./$(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Po
1681	-rm -f ./$(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Po
1682	-rm -f Makefile
1683distclean-am: clean-am distclean-compile distclean-generic \
1684	distclean-local distclean-tags
1685
1686dvi: dvi-recursive
1687
1688dvi-am:
1689
1690html: html-recursive
1691
1692html-am:
1693
1694info: info-recursive
1695
1696info-am:
1697
1698install-data-am: install-man
1699
1700install-dvi: install-dvi-recursive
1701
1702install-dvi-am:
1703
1704install-exec-am: install-binPROGRAMS install-binSCRIPTS \
1705	install-sbinPROGRAMS
1706	@$(NORMAL_INSTALL)
1707	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
1708install-html: install-html-recursive
1709
1710install-html-am:
1711
1712install-info: install-info-recursive
1713
1714install-info-am:
1715
1716install-man: install-man1 install-man7
1717
1718install-pdf: install-pdf-recursive
1719
1720install-pdf-am:
1721
1722install-ps: install-ps-recursive
1723
1724install-ps-am:
1725
1726installcheck-am:
1727
1728maintainer-clean: maintainer-clean-recursive
1729		-rm -f ./$(DEPDIR)/common-ps.Plo
1730	-rm -f ./$(DEPDIR)/hwloc-annotate.Po
1731	-rm -f ./$(DEPDIR)/hwloc-bind.Po
1732	-rm -f ./$(DEPDIR)/hwloc-calc.Po
1733	-rm -f ./$(DEPDIR)/hwloc-diff.Po
1734	-rm -f ./$(DEPDIR)/hwloc-distrib.Po
1735	-rm -f ./$(DEPDIR)/hwloc-gather-cpuid.Po
1736	-rm -f ./$(DEPDIR)/hwloc-info.Po
1737	-rm -f ./$(DEPDIR)/hwloc-patch.Po
1738	-rm -f ./$(DEPDIR)/hwloc-ps.Po
1739	-rm -f ./$(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata-knl.Po
1740	-rm -f ./$(DEPDIR)/hwloc_dump_hwdata-hwloc-dump-hwdata.Po
1741	-rm -f Makefile
1742maintainer-clean-am: distclean-am maintainer-clean-generic
1743
1744mostlyclean: mostlyclean-recursive
1745
1746mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1747	mostlyclean-libtool
1748
1749pdf: pdf-recursive
1750
1751pdf-am:
1752
1753ps: ps-recursive
1754
1755ps-am:
1756
1757uninstall-am: uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man \
1758	uninstall-sbinPROGRAMS
1759
1760uninstall-man: uninstall-man1 uninstall-man7
1761
1762.MAKE: $(am__recursive_targets) check-am install-am install-exec-am \
1763	install-strip
1764
1765.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
1766	am--depfiles check check-TESTS check-am clean \
1767	clean-binPROGRAMS clean-generic clean-libtool \
1768	clean-noinstLTLIBRARIES clean-sbinPROGRAMS cscopelist-am ctags \
1769	ctags-am distclean distclean-compile distclean-generic \
1770	distclean-libtool distclean-local distclean-tags distdir dvi \
1771	dvi-am html html-am info info-am install install-am \
1772	install-binPROGRAMS install-binSCRIPTS install-data \
1773	install-data-am install-dvi install-dvi-am install-exec \
1774	install-exec-am install-exec-hook install-html install-html-am \
1775	install-info install-info-am install-man install-man1 \
1776	install-man7 install-pdf install-pdf-am install-ps \
1777	install-ps-am install-sbinPROGRAMS install-strip installcheck \
1778	installcheck-am installdirs installdirs-am maintainer-clean \
1779	maintainer-clean-generic mostlyclean mostlyclean-compile \
1780	mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1781	recheck tags tags-am uninstall uninstall-am \
1782	uninstall-binPROGRAMS uninstall-binSCRIPTS uninstall-man \
1783	uninstall-man1 uninstall-man7 uninstall-sbinPROGRAMS
1784
1785.PRECIOUS: Makefile
1786
1787@HWLOC_HAVE_LINUX_TRUE@@HWLOC_HAVE_X86_TRUE@hwloc-dump-hwdata.1: hwloc-dump-hwdata.1in
1788@HWLOC_HAVE_LINUX_TRUE@@HWLOC_HAVE_X86_TRUE@	@ echo Creating $@ man page...
1789@HWLOC_HAVE_LINUX_TRUE@@HWLOC_HAVE_X86_TRUE@	@ $(SEDMAN) \
1790@HWLOC_HAVE_LINUX_TRUE@@HWLOC_HAVE_X86_TRUE@	  -e 's/%RUNSTATEDIR%/$(subst /,\/,$(HWLOC_runstatedir))/g' \
1791@HWLOC_HAVE_LINUX_TRUE@@HWLOC_HAVE_X86_TRUE@	  > $@ < $<
1792
1793.1in.1:
1794	@ echo Creating $@ man page...
1795	@ $(SEDMAN) \
1796	  > $@ < $<
1797
1798.3in.3:
1799	@ echo Creating $@ man page...
1800	@ $(SEDMAN) \
1801	  > $@ < $<
1802
1803.7in.7:
1804	@ echo Creating $@ man page...
1805	@ $(SEDMAN) \
1806	  > $@ < $<
1807
1808install-exec-hook:
1809	$(SED) -e 's/HWLOC_top_builddir\/utils\/hwloc/bindir/' -e 's/HWLOC_top_builddir\/utils\/lstopo/bindir/' -e '/HWLOC_top_builddir/d' $(DESTDIR)$(bindir)/hwloc-compress-dir > $(DESTDIR)$(bindir)/hwloc-compress-dir.tmp && mv -f $(DESTDIR)$(bindir)/hwloc-compress-dir.tmp $(DESTDIR)$(bindir)/hwloc-compress-dir
1810	chmod +x $(DESTDIR)$(bindir)/hwloc-compress-dir
1811@HWLOC_HAVE_LINUX_TRUE@	$(SED) -e 's/HWLOC_top_builddir\/utils\/lstopo/bindir/' -e 's/HWLOC_top_builddir\/utils\/hwloc/bindir/' -e '/HWLOC_top_builddir/d' $(DESTDIR)$(bindir)/hwloc-gather-topology > $(DESTDIR)$(bindir)/hwloc-gather-topology.tmp && mv -f $(DESTDIR)$(bindir)/hwloc-gather-topology.tmp $(DESTDIR)$(bindir)/hwloc-gather-topology
1812@HWLOC_HAVE_LINUX_TRUE@	chmod +x $(DESTDIR)$(bindir)/hwloc-gather-topology
1813
1814distclean-local:
1815	rm -f $(nodist_man_MANS)
1816
1817# Tell versions [3.59,3.63) of GNU make to not export all variables.
1818# Otherwise a system limit (for SysV at least) may be exceeded.
1819.NOEXPORT:
1820